import { Component, OnInit } from '@angular/core';
import { IonButton, IonContent, IonFooter, IonHeader, IonInput, IonTitle, IonToolbar } from '@ionic/angular/standalone';
import { FmodeChatCompletion,MarkdownPreviewModule  } from 'fmode-ng';
import { CommonModule } from '@angular/common';
import { FormsModule,} from '@angular/forms'; // 导入 FormsModule

@Component({
  selector: 'app-page-ai-chat',
  templateUrl: './page-ai-chat.component.html',
  styleUrls: ['./page-ai-chat.component.scss'],
  standalone: true,
  imports:[IonButton,IonHeader,IonToolbar,IonTitle,IonContent,IonFooter,IonInput,CommonModule,FormsModule,MarkdownPreviewModule ]
})
export class PageAiChatComponent  implements OnInit {
  
  constructor() { }

  ngOnInit() {}
  userPrompt: string = ""; // 输入框内容
  userMessage: string = ""; // 当前用户输入的消息
  messages: { sender: string, content: string }[] = []; // 存储聊天记录
  currentAiMessage: string = ""; // 当前AI消息内容

  sendMessage() {
    // 将用户输入的消息添加到消息列表
    this.messages.push({ sender: 'user', content: this.userPrompt });
    this.userMessage=this.userPrompt;
    this.userPrompt = ''; // 清空用户输入框
    // 创建AI请求
    let completion = new FmodeChatCompletion([
      { role: "system", content: "" },
      { role: "user", content: this.userMessage }
    ]);



    // 清空当前AI消息
    this.currentAiMessage = '';

    // 订阅AI消息
    completion.sendCompletion().subscribe((message: any) => {
      if (message.content) {
        this.currentAiMessage = message.content; // 直接更新为最新的AI回复内容
      }
      if (message?.complete) {
        this.messages.push({ sender: 'ai', content: this.currentAiMessage }); // 将完整的AI回复添加到消息列表
          
   
      }
    });
  }

}
