import { ChangeDetectorRef, Component } from '@angular/core';
import { IonHeader, IonToolbar, IonTitle, IonContent } from '@ionic/angular/standalone';
import { IonTextarea, IonButton } from "@ionic/angular/standalone";
import { DalleOptions, ImagineWork } from 'fmode-ng';

@Component({
  selector: 'app-tab2', 
  templateUrl: 'tab2.page.html',
  styleUrls: ['tab2.page.scss'],
  standalone: true,
  imports: [
    IonHeader, IonToolbar, IonTitle, IonContent, 
    IonButton,
    IonTextarea
  ],
})
export class Tab2Page {
  userPrompt:string = "飞码产品LOGO，独角兽头部形象，极简风格，棱角分明，线条勾勒，蓝色紫色搭配。"
  promptInput(ev:any){
    this.userPrompt = ev.detail.value;
  }
  imagineWork:ImagineWork|undefined
  images:Array<string> = []
  constructor(
    private cdRef:ChangeDetectorRef
  ){
    // 示例任务，自己生成图片后请存储新的ID
    this.imagineWork = new ImagineWork("lpJGiFwWeA");
    this.imagineWork.fetchTask().then(work=>{
      this.images = this.imagineWork?.images || [];
    })
  }

  async createImage(){
    this.imagineWork = new ImagineWork();
    let options:DalleOptions = {prompt:this.userPrompt}
    this.imagineWork.draw(options).subscribe(work=>{
      console.log("imagineWork",work?.toJSON())
      console.log("images",work?.get("images"))
      if(work?.get("images")?.length){
        this.images = work?.get("images");
      }
    })
  }

}